Upstream information

CVE-2020-15707 at MITRE

Description

Integer overflows were discovered in the functions grub_cmd_initrd and grub_initrd_init in the efilinux component of GRUB2, as shipped in Debian, Red Hat, and Ubuntu (the functionality is not included in GRUB2 upstream), leading to a heap-based buffer overflow. These could be triggered by an extremely large number of arguments to the initrd command on 32-bit architectures, or a crafted filesystem with very large files on any architecture. An attacker could use this to execute arbitrary code and bypass UEFI Secure Boot restrictions. This issue affects GRUB2 version 2.04 and prior versions.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.4
Vector CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity High
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1174570 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • grub2 >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
HPE-Helion-OpenStack-8-2020-2079
Image SLES15-EC2-CHOST-HVM-BYOS
  • grub2 >= 2.02-19.48.1
  • grub2-i386-pc >= 2.02-19.48.1
  • grub2-x86_64-xen >= 2.02-19.48.1
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-OpenStack
  • grub2 >= 2.02-26.25.1
  • grub2-i386-pc >= 2.02-26.25.1
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-GCE
  • grub2 >= 2.02-26.25.1
  • grub2-i386-pc >= 2.02-26.25.1
  • grub2-x86_64-efi >= 2.02-26.25.1
Image SLES15-SP1-CHOST-BYOS-EC2
  • grub2 >= 2.02-26.25.1
  • grub2-i386-pc >= 2.02-26.25.1
  • grub2-x86_64-efi >= 2.02-26.25.1
  • grub2-x86_64-xen >= 2.02-26.25.1
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-OpenStack
  • grub2 >= 2.04-9.7.1
  • grub2-i386-pc >= 2.04-9.7.1
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-GCE
  • grub2 >= 2.04-9.7.1
  • grub2-i386-pc >= 2.04-9.7.1
  • grub2-x86_64-efi >= 2.04-9.7.1
Image SLES15-SP2-CHOST-BYOS-EC2
  • grub2 >= 2.04-9.7.1
  • grub2-i386-pc >= 2.04-9.7.1
  • grub2-x86_64-efi >= 2.04-9.7.1
  • grub2-x86_64-xen >= 2.04-9.7.1
SUSE Enterprise Storage 5
  • grub2 >= 2.02-4.53.1
  • grub2-arm64-efi >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-Storage-5-2020-2079
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • grub2 >= 2.02-19.48.1
  • grub2-arm64-efi >= 2.02-19.48.1
  • grub2-i386-pc >= 2.02-19.48.1
  • grub2-snapper-plugin >= 2.02-19.48.1
  • grub2-systemd-sleep-plugin >= 2.02-19.48.1
  • grub2-x86_64-efi >= 2.02-19.48.1
  • grub2-x86_64-xen >= 2.02-19.48.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-2073
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • grub2 >= 2.02-26.25.1
  • grub2-arm64-efi >= 2.02-26.25.1
  • grub2-i386-pc >= 2.02-26.25.1
  • grub2-powerpc-ieee1275 >= 2.02-26.25.1
  • grub2-s390x-emu >= 2.02-26.25.1
  • grub2-snapper-plugin >= 2.02-26.25.1
  • grub2-systemd-sleep-plugin >= 2.02-26.25.1
  • grub2-x86_64-efi >= 2.02-26.25.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-2077
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • grub2 >= 2.04-9.7.1
  • grub2-arm64-efi >= 2.04-9.7.1
  • grub2-i386-pc >= 2.04-9.7.1
  • grub2-powerpc-ieee1275 >= 2.04-9.7.1
  • grub2-s390x-emu >= 2.04-9.7.1
  • grub2-snapper-plugin >= 2.04-9.7.1
  • grub2-systemd-sleep-plugin >= 2.04-9.7.1
  • grub2-x86_64-efi >= 2.04-9.7.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-2074
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • grub2 >= 2.02-26.25.1
  • grub2-branding-upstream >= 2.02-26.25.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2077
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • grub2 >= 2.04-9.7.1
  • grub2-arm64-efi-debug >= 2.04-9.7.1
  • grub2-branding-upstream >= 2.04-9.7.1
  • grub2-i386-pc-debug >= 2.04-9.7.1
  • grub2-powerpc-ieee1275-debug >= 2.04-9.7.1
  • grub2-s390x-emu-debug >= 2.04-9.7.1
  • grub2-x86_64-efi-debug >= 2.04-9.7.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2074
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • grub2 >= 2.02-26.25.1
  • grub2-x86_64-xen >= 2.02-26.25.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-2077
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • grub2 >= 2.04-9.7.1
  • grub2-x86_64-xen >= 2.04-9.7.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2020-2074
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • grub2 >= 2.02~beta2-115.49.1
  • grub2-i386-pc >= 2.02~beta2-115.49.1
  • grub2-snapper-plugin >= 2.02~beta2-115.49.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-115.49.1
  • grub2-x86_64-efi >= 2.02~beta2-115.49.1
  • grub2-x86_64-xen >= 2.02~beta2-115.49.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-2076
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • grub2 >= 2.00-0.66.15.1
  • grub2-x86_64-efi >= 2.00-0.66.15.1
  • grub2-x86_64-xen >= 2.00-0.66.15.1
Patchnames:
slessp4-grub2-14440
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • grub2 >= 2.02~beta2-115.49.1
  • grub2-i386-pc >= 2.02~beta2-115.49.1
  • grub2-snapper-plugin >= 2.02~beta2-115.49.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-115.49.1
  • grub2-x86_64-efi >= 2.02~beta2-115.49.1
  • grub2-x86_64-xen >= 2.02~beta2-115.49.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-2076
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • grub2 >= 2.02~beta2-115.49.1
  • grub2-i386-pc >= 2.02~beta2-115.49.1
  • grub2-snapper-plugin >= 2.02~beta2-115.49.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-115.49.1
  • grub2-x86_64-efi >= 2.02~beta2-115.49.1
  • grub2-x86_64-xen >= 2.02~beta2-115.49.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-2076
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • grub2 >= 2.02~beta2-115.49.1
  • grub2-i386-pc >= 2.02~beta2-115.49.1
  • grub2-powerpc-ieee1275 >= 2.02~beta2-115.49.1
  • grub2-s390x-emu >= 2.02~beta2-115.49.1
  • grub2-snapper-plugin >= 2.02~beta2-115.49.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-115.49.1
  • grub2-x86_64-efi >= 2.02~beta2-115.49.1
  • grub2-x86_64-xen >= 2.02~beta2-115.49.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-2076
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • grub2 >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-2079
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • grub2 >= 2.02-4.53.1
  • grub2-arm64-efi >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-2079
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • grub2 >= 2.02-4.53.1
  • grub2-arm64-efi >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-powerpc-ieee1275 >= 2.02-4.53.1
  • grub2-s390x-emu >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-2079
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • grub2 >= 2.02-12.31.1
  • grub2-arm64-efi >= 2.02-12.31.1
  • grub2-i386-pc >= 2.02-12.31.1
  • grub2-snapper-plugin >= 2.02-12.31.1
  • grub2-systemd-sleep-plugin >= 2.02-12.31.1
  • grub2-x86_64-efi >= 2.02-12.31.1
  • grub2-x86_64-xen >= 2.02-12.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2020-2078
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • grub2 >= 2.02-12.31.1
  • grub2-arm64-efi >= 2.02-12.31.1
  • grub2-i386-pc >= 2.02-12.31.1
  • grub2-powerpc-ieee1275 >= 2.02-12.31.1
  • grub2-s390x-emu >= 2.02-12.31.1
  • grub2-snapper-plugin >= 2.02-12.31.1
  • grub2-systemd-sleep-plugin >= 2.02-12.31.1
  • grub2-x86_64-efi >= 2.02-12.31.1
  • grub2-x86_64-xen >= 2.02-12.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2020-2078
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • grub2 >= 2.02-12.31.1
  • grub2-arm64-efi >= 2.02-12.31.1
  • grub2-i386-pc >= 2.02-12.31.1
  • grub2-powerpc-ieee1275 >= 2.02-12.31.1
  • grub2-s390x-emu >= 2.02-12.31.1
  • grub2-snapper-plugin >= 2.02-12.31.1
  • grub2-systemd-sleep-plugin >= 2.02-12.31.1
  • grub2-x86_64-efi >= 2.02-12.31.1
  • grub2-x86_64-xen >= 2.02-12.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2078
SUSE Linux Enterprise Server 15-LTSS
  • grub2 >= 2.02-19.48.1
  • grub2-arm64-efi >= 2.02-19.48.1
  • grub2-i386-pc >= 2.02-19.48.1
  • grub2-powerpc-ieee1275 >= 2.02-19.48.1
  • grub2-s390x-emu >= 2.02-19.48.1
  • grub2-snapper-plugin >= 2.02-19.48.1
  • grub2-systemd-sleep-plugin >= 2.02-19.48.1
  • grub2-x86_64-efi >= 2.02-19.48.1
  • grub2-x86_64-xen >= 2.02-19.48.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-2073
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • grub2 >= 2.02~beta2-115.49.1
  • grub2-i386-pc >= 2.02~beta2-115.49.1
  • grub2-powerpc-ieee1275 >= 2.02~beta2-115.49.1
  • grub2-snapper-plugin >= 2.02~beta2-115.49.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-115.49.1
  • grub2-x86_64-efi >= 2.02~beta2-115.49.1
  • grub2-x86_64-xen >= 2.02~beta2-115.49.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-2076
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • grub2 >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-powerpc-ieee1275 >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-2079
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • grub2 >= 2.02-12.31.1
  • grub2-i386-pc >= 2.02-12.31.1
  • grub2-powerpc-ieee1275 >= 2.02-12.31.1
  • grub2-snapper-plugin >= 2.02-12.31.1
  • grub2-systemd-sleep-plugin >= 2.02-12.31.1
  • grub2-x86_64-efi >= 2.02-12.31.1
  • grub2-x86_64-xen >= 2.02-12.31.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2020-2078
SUSE Linux Enterprise Server for SAP Applications 15
  • grub2 >= 2.02-19.48.1
  • grub2-i386-pc >= 2.02-19.48.1
  • grub2-powerpc-ieee1275 >= 2.02-19.48.1
  • grub2-snapper-plugin >= 2.02-19.48.1
  • grub2-systemd-sleep-plugin >= 2.02-19.48.1
  • grub2-x86_64-efi >= 2.02-19.48.1
  • grub2-x86_64-xen >= 2.02-19.48.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-2073
SUSE OpenStack Cloud 7
  • grub2 >= 2.02~beta2-115.49.1
  • grub2-i386-pc >= 2.02~beta2-115.49.1
  • grub2-s390x-emu >= 2.02~beta2-115.49.1
  • grub2-snapper-plugin >= 2.02~beta2-115.49.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-115.49.1
  • grub2-x86_64-efi >= 2.02~beta2-115.49.1
  • grub2-x86_64-xen >= 2.02~beta2-115.49.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-2076
SUSE OpenStack Cloud 8
  • grub2 >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-2079
SUSE OpenStack Cloud 9
  • grub2 >= 2.02-12.31.1
  • grub2-i386-pc >= 2.02-12.31.1
  • grub2-snapper-plugin >= 2.02-12.31.1
  • grub2-systemd-sleep-plugin >= 2.02-12.31.1
  • grub2-x86_64-efi >= 2.02-12.31.1
  • grub2-x86_64-xen >= 2.02-12.31.1
Patchnames:
SUSE-OpenStack-Cloud-9-2020-2078
SUSE OpenStack Cloud Crowbar 8
  • grub2 >= 2.02-4.53.1
  • grub2-i386-pc >= 2.02-4.53.1
  • grub2-snapper-plugin >= 2.02-4.53.1
  • grub2-systemd-sleep-plugin >= 2.02-4.53.1
  • grub2-x86_64-efi >= 2.02-4.53.1
  • grub2-x86_64-xen >= 2.02-4.53.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-2079
SUSE OpenStack Cloud Crowbar 9
  • grub2 >= 2.02-12.31.1
  • grub2-i386-pc >= 2.02-12.31.1
  • grub2-snapper-plugin >= 2.02-12.31.1
  • grub2-systemd-sleep-plugin >= 2.02-12.31.1
  • grub2-x86_64-efi >= 2.02-12.31.1
  • grub2-x86_64-xen >= 2.02-12.31.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-2078

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Server 12 SP1-LTSS
  • grub2 >= 2.02~beta2-91.19.1
  • grub2-debuginfo >= 2.02~beta2-91.19.1
  • grub2-debugsource >= 2.02~beta2-91.19.1
  • grub2-i386-pc >= 2.02~beta2-91.19.1
  • grub2-powerpc-ieee1275 >= 2.02~beta2-91.19.1
  • grub2-s390x-emu >= 2.02~beta2-91.19.1
  • grub2-snapper-plugin >= 2.02~beta2-91.19.1
  • grub2-x86_64-efi >= 2.02~beta2-91.19.1
  • grub2-x86_64-xen >= 2.02~beta2-91.19.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • grub2 >= 2.02~beta2-91.19.1
  • grub2-debuginfo >= 2.02~beta2-91.19.1
  • grub2-i386-pc >= 2.02~beta2-91.19.1
  • grub2-snapper-plugin >= 2.02~beta2-91.19.1
  • grub2-x86_64-efi >= 2.02~beta2-91.19.1
  • grub2-x86_64-xen >= 2.02~beta2-91.19.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • grub2 >= 2.02~beta2-91.19.1
  • grub2-debuginfo >= 2.02~beta2-91.19.1
  • grub2-debugsource >= 2.02~beta2-91.19.1
  • grub2-i386-pc >= 2.02~beta2-91.19.1
  • grub2-powerpc-ieee1275 >= 2.02~beta2-91.19.1
  • grub2-s390x-emu >= 2.02~beta2-91.19.1
  • grub2-snapper-plugin >= 2.02~beta2-91.19.1
  • grub2-x86_64-efi >= 2.02~beta2-91.19.1
  • grub2-x86_64-xen >= 2.02~beta2-91.19.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 grub2 Unsupported
CaaS Platform 2.0 grub2 Unsupported
CaaS Platform 3.0 grub2 Unsupported
SUSE Business Critical Linux 12 SP2 grub2 Released
SUSE Business Critical Linux 12 SP3 grub2 Released
SUSE Linux Enterprise High Performance Computing 12 grub2 Released
SUSE Linux Enterprise High Performance Computing ESPOS 15 GA grub2 Released
SUSE Linux Enterprise High Performance Computing LTSS 15 GA grub2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 grub2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 grub2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 grub2 Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 grub2 Released
SUSE Linux Enterprise Server 11 SP4 LTSS grub2 Released
SUSE Linux Enterprise Server 12 SP2 LTSS grub2 Released
SUSE Linux Enterprise Server 12 SP3 LTSS grub2 Released
SUSE Linux Enterprise Server 12 SP4 grub2 Affected
SUSE Linux Enterprise Server 12 SP4 LTSS grub2 Released
SUSE Linux Enterprise Server 12 SP5 grub2 Released
SUSE Linux Enterprise Server 15 GA LTSS grub2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 grub2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 grub2 Released